version: '3.5'

services:
  laravel_firstcop:
    ports:
      - "8012:8012"
    volumes:
      - .:/Users/alex/Sites/www/firstcop-prod
      - /Users/alex/Sites/www/firstcop-prod/vendor
    build: .
    command: php -S laravel_firstcop:8012 -t public
    restart: always
    environment:
      - APP_DEBUG=true
    depends_on:
     - mariadb_firstcop
  mariadb_firstcop:
    image: mariadb
    environment:
      - ALLOW_EMPTY_PASSWORD=yes
      - MARIADB_USER=laravel_firstcop_user
      - MARIADB_DATABASE=laravel_firstcop
      - MARIADB_PASSWORD=laravel_firstcop_passwrd
      - MARIADB_ROOT_PASSWORD=laravel_firstcop_passwrd
      - MARIADB_RANDOM_ROOT_PASSWORD=true
      - MARIADB_ALLOW_EMPTY_ROOT_PASSWORD=false
      - MARIADB_MASTER_PORT_NUMBER=3307
    ports:
      - '3307:3306'
